Support » Plugin: BuddyPress Follow » Please fix deprecated notice in WP_Widget constructor method

  • Resolved Oscar Estepa

    (@estepix)


    Plugin version: 1.2.1
    WP version: 4.4.2

    Hi, the following notice is displayed when enabling WP_DEBUG:

    ( ! ) Notice: The called constructor method for WP_Widget is <strong>deprecated</strong> since version 4.3.0! Use <pre>__construct()</pre> instead. in [...]\wp-includes\functions.php on line 3457

    I tracked it down to your plugin:

    Line 29 in wp-content/plugins/buddypress-followers/_inc/bp-follow-widgets.php should be changed from:

    // Set up the widget
    		parent::WP_Widget(
    			false,
    			__( "(BP Follow) Users I'm Following", 'bp-follow' ),
    			$widget_ops
    		);

    TO:

    // Set up the widget
    		parent::__construct(
    			false,
    			__( "(BP Follow) Users I'm Following", 'bp-follow' ),
    			$widget_ops
    		);

    https://wordpress.org/plugins/buddypress-followers/

Viewing 4 replies - 1 through 4 (of 4 total)
Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Please fix deprecated notice in WP_Widget constructor method’ is closed to new replies.